Description

Non esiste per ora una fase dell'installazione in cui viene chiesto di assegnare il nome host al server.
Nella installazione standard di Debian (vecchia installazione FUSS server) veniva chiesto. Propongo che venga ripristinata questa
funzionalita anche per la ISO del FUSS Server.

Related issues:

Related to fuss-server - Segnalazione #223: cambio nome dominio non ha effetto Chiuso 04/10/2017

History

#1 - 04/10/2017 03:35 PM - Paolo Dongilli
- Assignee set to TRUELITE

- Priority changed from Normale to Alta

#2 - 04/11/2017 10:43 AM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from TRUELITE to Paolo Dongilli

Anche per questo, quale €' il caso d'uso? Anche rispetto alla priorita. A parte introdurre un passaggio in piu' necessario per l'installazione, avendo il
nome prescelto dal preseed porta omogenita e riduce le incertezze su quale macchina sia il server, no?

#3 - 04/11/2017 11:31 AM - Michael Guggenberg

- Related to Segnalazione #223: cambio nome dominio non ha effetto added

#4 - 04/11/2017 05:05 PM - Paolo Dongilli

Paolo, non ha effettivamente senso cambiare il hostname. Proporrei di tenere il nome di default "server" sebbene come dici avessimo concordato di
usare questa convenzione per i hostname:

@{codice LASIS scuola}{s|w|n}{aula e ID pc}

| |

| ‘—— 6 caratteri
|
- carattere
= server

workstation

5o 0P
Il

notebook

"-— 6 caratteri@

[[https://work.fuss.bz.it/projects/standard-installazioni-fuss/wiki]]

Sono pronto a cambiare idea. Potremmo discutere la cosa anche su fuss-devel.
https://work.fuss.bz.it/projects/standard-installazioni-fuss/wiki

#5 - 04/11/2017 05:05 PM - Paolo Dongilli

- Status changed from Commenti to Chiuso

#6 - 04/12/2017 09:43 AM - Paolo Dongilli
- Status changed from Chiuso to Commenti

- Assignee changed from Paolo Dongilli to Paolo Baratta

#7 - 04/12/2017 03:07 PM - Paolo Baratta

Sorry, ma non capisco quale sia lo svantaggio di utilizzare hostname (FQDN) diversi. Hostname (nome server) diversi permettono di identificare le
macchine reali, mentre nomi di dominio diversi permettono di identificare le scuole o gli IC. Non riesco a comprendere quale sia invece il vantaggio di
averli tutti uguali, rispetto ad averli diversi. A sostegno della scelta di averli diversi posso elencare almeno i seguenti motivi:

1. Se apri pit di un terminale per lavorare contemporaneamente su piu server, le shell mostreranno tutte lo stesso hostname (server) ed avrai
qualche dubbio in piu rispetto a quel'e la macchina sulla quel stai lavorando.

2. I server sono affacciati su una rete che pur essendo privata, & sempre una rete, e credo che, secondo la prassi con la quale si configurano le reti,
utilizzare hostname uguali sia una scelta errata.

3. Credo che quasi tutti i server del mondo, escludendo le coincidenze, si mostrino sulle reti con nomi diversi.

4. Dal 2005 in poi, anche se non si & mai adottato uno standard vero e proprio, almeno la parte relativa al dominio del FQDN dei server,
corrispondeva al nome della scuola e, per quanto riguarda il nome del PC server, ogni tecnico sceglieva un nome diverso per ciascuna delle scuole di
sua competenza. |l nome del server, quasi sempre, corrispondeva al nome della scuola.

5. Last but not least: la WIKI

Per gli hostname si € deciso nella riunione del 4 aprile 2017 di adottare la seguente convenzione:

@{codice LASIS scuola}{s|w|n}{aula e ID pc} | | | |  "--6caratteri |
*-- 1 carattere | s = server | w = workstation | n = notebook
*-- 6 caratteri@ |

La "s" non significa server???

Che le famo a fa le WIKI?!

#8 - 04/12/2017 04:08 PM - Paolo Dongilli

La praticita di collegarsi ad uno dei propri server usando
145600ssalase.manzoni.blz anziché

server.manzoni.blz

¢ tutta da dimostrare considerato anche che ogni scuola ha un solo server.

Riguardo alla prassi adottata dal 2005 concorderai con me che
vivaldi.vivaldi.blz € un po' ridondante e utile solo per soddisfare il caso d'uso che hai indicato al punto 1)

Detto questo, il nostro punto fermo & che avevamo stabilito una convenzione per i hostname in ciascuna scuola e questa vale anche per i server,
aspetto che avevo dimenticato.

Pertanto, come detto, concordo con la tua richiesta di permettere l'inserimento del hostname durante l'installazione del server.

Una domanda: mi faresti due esempi di FQDN di due server con la nuova convenzione?
#9 - 04/12/2017 05:36 PM - Paolo Baratta

Riguardo la praticita di collegarsi ad uno dei propri server usando

145600ssalase.manzoni.blz anziché server.manzoni.blz se si considera il punto di vista della LAN non esiste, se invece si considera la modalita reale
di lavoro dalla WAN (VPN) dove tutti i server si dovrebbero chiamare "server" esiste. Se poi mi dici che I'algoritmo con il quele si & scelto di
individuare i nomi degli hostname,sia piuttosto complesso, ti do ragione: i "miei" server si chiamano: latemar, cervino e kindofblue! :-D

La prassi adottata dal 2005 non era esattamente quella. Lo "standard" riguardava il nome del domino (scuola.bzn) mentre per il nome del server
regnava un'anarchia mitigata dal buon senso. Si usava il nome della scuola (uguale al nome del domino), ma anche "server", "antonio" e cose del
genere. Visto che ora vorremmo stabilire degli standard si potrebbe trovare una ragionevole via di mezzo tra, chiamarli tutti server e adottare nomi di
fantasia.....

L'esempio lo si pud gia evincere dalla WIKI: basta sostituire ai vari campi del modello, quelli corrispondenti alla realta.

#10 - 04/12/2017 07:13 PM - Paolo Dongilli

Paolo Baratta ha scritto:

L'esempio lo si puo gia evincere dalla WIKI: basta sostituire ai vari campi del modello, quelli corrispondenti alla realta.

D'accordo, quello ¢ il hostname. io parlo del FQDN nella rete delle scuole. Fammi un esempio reale completando il seguente hostname facendolo
diventare un FQDN: 145600ssalase

#11 - 04/13/2017 08:38 AM - Paolo Baratta

Nella WIKI avevamo stabilito:

Nomi di dominio

I nomi di dominio assegnati alle singole scuole sono definitii in questo modo:

nel caso di un singolo istituto: nome_scuola.prime_tre_consonanti_del_luogo

nel caso di un istituto comprensivo: ic-nome_scuola.prime_tre_consonanti_del_luogo
nel caso di un istituto pluricomprensivo: ipc-nome_scuola.prime_tre_consonanti_del_luogo

Esempio
Scuola/lstituto  Dominio
Liceo Scientifico Torricelli Bolzano  torricelli.blz

Quindi, se siamo ancora tutti d'accordo, I'esempio del FQDN del torricelli potrebbe essere: 240200ssalase.torricelli.blz. Se poi si volesse pensare in
grande: 240200ssalase.torricelli.fuss.blz
#12 - 05/12/2017 12:23 PM - Paolo Dongilli

- Assignee changed from Paolo Baratta to Christopher R. Gabriel

Chiedo pertanto che venga tolto il preseed del hostname del server.

Grazie.

#13 - 05/12/2017 12:23 PM - Christopher R. Gabriel

- Status changed from Commenti to In elaborazione

#14 - 05/15/2017 11:57 AM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Paolo Dongilli

Pubblicata adesso (al netto di sincronizzazione su iso2) nuove iso con tutti i pacchetti aggiornati, e che include la modifica richiesta qui sopra.

#15 - 06/12/2017 10:31 AM - Paolo Dongilli
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
